Subject: Linker switches [ was: Re: API's that certainly do work. ]
From: [email-masked] (DRS)

27 Mar 1997 17:06:47 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <01BC39EE.1D621C60@gbird0>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: Colin Peters <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Colin Peters wrote:

> To summarize the summary: Don't link with -lkernel32 on your command
> line.

I guess my question is, why would you want to do this anyway? I have
been using -mwindows, which I thought was the recommended linker 
switch for compiling a GUI app. I don't claim to know anything 
about ld, except that it works for all the examples I have tried.

I have been unable to find any documentation about the
linker switch in question (-lkernel32) except that it appears 
to be mentioned in earlier versions of the distribution. 
If someone wants to explain the in's and outs of these 
various (win32 specific) switches and how they are supposed 
to work, I'm all ears. Do doubt this information would be 
of general interest.

Regards,
DRS
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".